#!/bin/bash
set -ex
date --utc --iso-8601=seconds | xargs echo "[timestamp] Start time :"

# This file gets touched if all setup passes
rm /.setup_complete || true

HOME_DIR="/home/phablet"

apt-add-repository ppa:chris.gagnon/mir-demo-tester -y
( cd $HOME_DIR/archive && apt-ftparchive packages . > Packages )
echo "deb file://$HOME_DIR/archive ./" > /etc/apt/sources.list.d/test-mir-packages.list

apt-get update

date --utc --iso-8601=seconds | xargs echo "[timestamp] Pre install :"

apt install -o Debug::pkgProblemResolver=1 --force-yes -y $(ls $HOME_DIR/archive/*.deb | xargs basename -a | grep -v mesa | grep -v desktop | cut -f1 -d'_')

apt-get install --force-yes -y \
    glmark2-data \
    glmark2-es2-mir \
    mir-demo-tester \
    mir-demos


touch /.setup_complete
date --utc --iso-8601=seconds | xargs echo "[timestamp] End time :"
